import wx

class VWordListBox(wx.VListBox):
    def __init__(self, parent, id, wordList):
        wx.VListBox.__init__(self, parent, id, style=wx.BORDER_SUNKEN, size=(120, -1))
        self.wordList = wordList

    def OnDrawItem(self, dc, rect, n):
        if self.GetSelection() == n:
            c = wx.SystemSettings.GetColour(wx.SYS_COLOUR_HIGHLIGHTTEXT)
        else:
            c = self.GetForegroundColour()

        dc.SetFont(self.GetFont())
        dc.SetTextForeground(c)
        dc.DrawLabel(self.__getItemText(self.wordList, n), rect, wx.ALIGN_LEFT | wx.ALIGN_CENTER_VERTICAL)
    
    def OnMeasureItem(self, n):
        height = 0

        for line in self.__getItemText(self.wordList, n).split('\n'):
            w, h = self.GetTextExtent(line)
            height += h

        return height + 5

    def __getItemText(self, wordList, n):
        return wordList[n]

